﻿@using System.Web.UI.WebControls;
@using DevExpress.Web.Mvc;
@using DevExpress.Web.Mvc.UI;
@using DevExpress.Utils;
@Html.DevExpress().GridView(
        setting =>
        {
            setting.Name = "GridTransactionMaster";

            setting.CallbackRouteValues = new { Controller = "TransactionMaster", Action = "PartialTransactionDatas" };
            //setting.ClientSideEvents.CustomButtonClick = "OnEditSupplCodePlantCodeClick";
            setting.ClientSideEvents.BeginCallback = "OnBeginCallbackGrid";
            
            setting.Styles.Header.HorizontalAlign = HorizontalAlign.Center;
            setting.Width = Unit.Percentage(100);
            setting.KeyFieldName = "TRANSACTION_CD";
            //setting.SettingsDetail.MasterGridName = "grid";
            setting.Settings.ShowFilterRow = true;
            setting.Settings.ShowFilterRowMenu = true;

            setting.CommandColumn.ClearFilterButton.Visible = true;
            setting.CommandColumn.ShowSelectCheckbox = true;
            setting.CommandColumn.Visible = true;
            setting.CommandColumn.Caption = "#";
            setting.CommandColumn.Width = Unit.Pixel(20);
                        
            setting.SettingsPager.PageSizeItemSettings.Visible = true;
            setting.SettingsPager.PageSizeItemSettings.Items = new string[] { "10", "30", "50", "100" };
            setting.SettingsPager.PageSizeItemSettings.Caption = "Page size";
            setting.Settings.HorizontalScrollBarMode = ScrollBarMode.Hidden;
            setting.SettingsPager.FirstPageButton.Visible = true;
            setting.SettingsPager.LastPageButton.Visible = true;
            //setting.CallbackRouteValues = new { Controller = "LogMonitoring", Action = "ReloadGrid" };
            //setting.ClientSideEvents.BeginCallback = "BeginGridCallback";
                       

            setting.Columns.Add(col =>
            {
                col.FieldName = "TRANSACTION_CD";
                col.Caption = "Transaction Code";
                col.Width = 75;
                col.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                col.SetDataItemTemplateContent(container =>
                {
                    Html.DevExpress().HyperLink(hlSettings =>
                    {
                        hlSettings.Name = string.Format("hl_{0}", (container as GridViewDataItemTemplateContainer).VisibleIndex);
                        hlSettings.NavigateUrl = "javascript:void(0)";
                        //hlSettings.Properties.ClientSideEvents.Click = string.Format("function(s, e) {{ OnHyperLinkClick('{0}'); }}", (container as GridViewDataItemTemplateContainer).Text);
                        hlSettings.Properties.Text = (container as GridViewDataItemTemplateContainer).Text;
                                    
                    }).Render();
                });
            });

            setting.Columns.Add("TRANSACTION_NAME", "Transaction Name", MVCxGridViewColumnType.TextBox).Width = Unit.Pixel(150);
            setting.Columns.Add("TRANSACTION_DESC", "Description", MVCxGridViewColumnType.TextBox).Width = Unit.Pixel(150);
            setting.Columns.Add("SIGN", "Sign", MVCxGridViewColumnType.TextBox).Width = Unit.Pixel(150);
            
                        


            setting.Columns.AddBand(
                columnBand =>
                {
                    columnBand.Caption = "Created";
                    columnBand.Columns.Add(
                        column =>
                        {
                            column.Caption = "By";
                            column.Name = "CreatedBy";
                            column.FieldName = "CREATED_BY";
                            column.Width = Unit.Pixel(90);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                                        
                            }
                        );

                    columnBand.Columns.Add(
                        column =>
                        {
                            column.Caption = "Date";
                            column.Name = "createdDate";
                            column.FieldName = "CREATED_DT";
                            column.PropertiesEdit.DisplayFormatString = "dd/MM/yyyy";
                            column.Width = Unit.Pixel(80);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;

                        }
                        );

                }
                );


            setting.Columns.AddBand(
                columnBand =>
                {
                    columnBand.Caption = "Changed";
                    columnBand.Columns.Add(
                        column =>
                        {
                            column.Caption = "By";
                            column.Name = "ChangeBy";
                            column.FieldName = "CHANGED_BY";
                            column.Width = Unit.Pixel(90);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;

                        }
                        );

                    columnBand.Columns.Add(
                        column =>
                        {
                            column.Caption = "Date";
                            column.Name = "changeDate";
                            column.FieldName = "CHANGED_DT";
                            column.PropertiesEdit.DisplayFormatString = "dd/MM/yyyy";
                            column.Width = Unit.Pixel(80);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;

                        }
                        );

                }
                );
    }).Bind(Model.GetModel<Portal.Models.TransactionMaster.TransactionMasterModel>().TransactionMaster).GetHtml()


                    
                     